/***********************************************************************
      LIBRARY: IOUTIL - INPUT/OUTPUT Utilities

      FILE:    FILEEXST.C
      AUTHORS: Michael Garris
      DATE:    11/27/1989

      Contains routines responsible for determining if a file exists
      in a filesystem.

      ROUTINES:
#cat: file_exists - tests to see if the given pathname is an existing file.
#cat:

***********************************************************************/

#include <stdio.h>
#include <strings.h>
#include <sys/param.h>

#define TRUE 1
#define FALSE 0

/**********************************************************************/
file_exists(file)
char *file;
{
   char path[MAXPATHLEN], filename[MAXPATHLEN];

   strcpy(filename,file);
   if(*filename == '/'){
      strcpy(path,file);
      filehead(path);
      filetail(filename);
   }
   else
      strcpy(path, "./");
   if(find_file(path,filename))
      return(TRUE);
   else
      return(FALSE);
}
