/***********************************************************************
      LIBRARY: UTIL - General Purpose Utility Routines

      FILE:    INVBYTES.C
      AUTHOR:  Michael Garris
      DATE:    10/16/1995

      Contains routines responsible for reversing the bits within a
      data byte from MSB to LSB and vice versa.

      ROUTINES:
#cat: inv_bytes - takes an array of bytes and inverts them using a
#cat:             lookup table. invert = reverse bits within a byte

***********************************************************************/
#include <invbyte.h>

inv_bytes(data, nbytes)
unsigned char *data;
int nbytes;
{
   for ( ; nbytes ; nbytes--, data++ )
      *data = Inv_Byte[*data];
}
