#ifndef _EIGEN_H
#define _EIGEN_H

extern double slamch_(char *);
extern int ilaenv_(int *, char *, char *, int *, int *, int *, int *,
                 const long, const long);

extern int sswap_(const int *, float *, int *, float *, int *);

extern void ssyevx_(char *, char *, char *, const int *, float *, int *,
                 float *, float *, int *, int *, float *, int *, float *,
                 float *, const int *, float *, int *, int *, int *, int *);

extern void eigen(const int, int *, float **, float **, float *, const int);
extern void diag_mat_eigen(const int, float *, const int, float **, float **,
                 int **, int *);

#endif /* !_EIGEN_H */
