#ifndef _GRPHCS_H
#define _GRPHCS_H

#ifndef _XLIB_H
#include <X11/Xlib.h>
#endif

/* NIST logo */
static int nist_w = 70, nist_h = 22;
static char nist[] = "\
--###----------------####--####-----##################################\
-#####---------------####--####----###################################\
#######--------------####--####---####################################\
########-------------####--####--#####################################\
#########------------####--####--#####----------------------####------\
##########-----------####--####--####-----------------------####------\
####-######----------####--####--####-----------------------####------\
####--######---------####--####--####-----------------------####------\
####---######--------####--####--#####----------------------####------\
####----######-------####--####--######################-----####------\
####-----######------####--####---######################----####------\
####------######-----####--####----######################---####------\
####-------######----####--####------#####################--####------\
####--------######---####--####----------------------#####--####------\
####---------######--####--####-----------------------####--####------\
####----------######-####--####-----------------------####--####------\
####-----------##########--####-----------------------####--####------\
####------------#########--#####---------------------#####--####------\
####-------------########--###############################--####------\
####--------------#######--##############################---####------\
####---------------#####----############################----####------\
####----------------###------##########################-----####------";

/* grphcs.c */
extern void grphcs_init(SLEEPS *, const int, RGAR_PRS *);
extern Window grphcs_startwindow(const int, const int, const int);
extern void grphcs_origras(unsigned char *, const int, const int);
extern void grphcs_segras(unsigned char **, const int, const int);
extern void grphcs_enhnc_outsquare(unsigned char [][], const int, const int,
                 const int, const int y);
extern void grphcs_enhnc_sleep();
extern void grphcs_foundconup_sleep();
extern void grphcs_noconup_sleep();
extern void grphcs_bars(float **, float **, const int, const int, const int);
extern void grphcs_xy_to_dmt(float **, float **, float **, float **,
                 const int, const int, float *);
extern XImage *grphcs_dmt_to_bars(float **, float **, const int, const int,
                 const float, unsigned char *, const int, const int);
extern void grphcs_core_medcore(const int, const int, const int, const int h);
extern void grphcs_normacs(float *, const int, char *);
extern void letter_adjust_xy(const char, int *, int *);
extern void grphcs_sgmntwork_init(const int, const int);
extern void grphcs_sgmntwork_fg(unsigned char *, const int);
extern void grphcs_sgmntwork_edge(int *, int *, const int, const int);
extern void grphcs_sgmntwork_lines(float [3], float [3]);
extern void grphcs_sgmntwork_box(unsigned char *, const float, const float,
                 const int, const int, const int, const int, const int);
extern void grphcs_sgmntwork_finish();
extern void grphcs_pseudo_cfgyow(unsigned char **, const int, const int,
                 const int, const int h);
extern void grphcs_pseudo_cfgyow_reput(const int, const int);
extern void grphcs_pseudo_pseudoridge(float *, float *, const int, const int,
                 const int, const int);
extern void grphcs_titlepage();
extern void grphcs_featvec(float *, const int);
extern void grphcs_lastdisp(const int, const int, const float, char *,
                 const int);
extern void ImageBit8ToBit24Unit32(unsigned char **, unsigned char *,
                 const int, const int);
extern XImage *xcreateimage(unsigned char *, const int, const int, const int,
                 const int, const int, const int, const int);

#endif /* !_GRPHCS_H */
