#ifndef _LOG_H
#define _LOG_H

/* Definitions and references to support log report files. */

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

#ifdef LOG_REPORT
/* Uncomment the following line to enable logging. */
#define LOG_FILE     "log.txt"
#endif

extern FILE *logfp;
extern int avrdir;
extern float dir_strength;
extern int nvalid;

extern int open_logfile();
extern int close_logfile();
extern void print2log(char *, ...);

#endif
