#ifndef _TABLE_H
#define _TABLE_H

typedef struct {
  int size, n_stored;
  float *buf;
} TABLE;

extern void table_init(TABLE *, const int);
extern void table_store(TABLE *, const float, const float);
extern int table_lookup(TABLE *, const float, float *);
extern void table_clear(TABLE *);

#endif /* !_TABLE_H */
