# **********************************************************
# Project:		NIST Special Database 29 Software
# SubTree:		./nfs
# Filename:		makefile.mak
# Integrator:		Craig Watson
# Organization:		NIST/ITL
# Host System:		GNU GCC/GMAKE GENERIC (UNIX)
# Date Created:		09/26/2001
#
# **********************************************************
# Makefile for Root Project Directory
# **********************************************************
SHELL=/bin/sh
#
PROJDIR = .
SUBS 	= src
X11_EXST= 0
CC	= gcc -ansi
CFLAGS	= -O2
CDEFS	= -D_BSD_SOURCE # required for RED HAT LINUX 5.0
EXEEXT	=               # set to ".exe" for CYGWIN32

it install depend clean bare:
	@-X=`pwd`; \
	for i in $(SUBS); \
	do echo '<<<' $$i '>>>'; cd $$X/$$i; \
	make -f makefile.mak $@ PROJDIR=$(PROJDIR) \
	X11_EXST="$(X11_EXST)" CC="$(CC)" CFLAGS="$(CFLAGS)" CDEFS="$(CDEFS)" \
	EXEEXT="$(EXEEXT)"; \
	done
