# **********************************************************
# Project:		NIST Special Database 29 Software
# SubTree:		./nfs/src/bin
# Filename:		makefile.mak
# Integrator:		Craig Watson
# Organization:		NIST/ITL
# Host System:		GNU GCC/GMAKE GENERIC (UNIX)
# Date Created:		09/26/2001
#
# **********************************************************
# Makefile for SRC Subdirectory
# **********************************************************
SHELL=/bin/sh
#

SUBS =	cjpegb \
	dwsq

it depend clean bare:
	@-X=`pwd`; \
	for i in $(SUBS); \
	do echo '<' $$i '>'; cd $$X/$$i; \
	make -f makefile.mak $@ PROJDIR=$(PROJDIR) \
	CC="$(CC)" CFLAGS="$(CFLAGS)" CDEFS="$(CDEFS)" \
	EXEEXT="$(EXEEXT)"; \
	done;

install:
	@-X=`pwd`; \
	for i in $(SUBS); \
	do echo '<' $$i '>'; cd $$X/$$i; \
	make -f makefile.mak $@ PROJDIR=$(PROJDIR) \
	CC="$(CC)" CFLAGS="$(CFLAGS)" CDEFS="$(CDEFS)" \
	EXEEXT="$(EXEEXT)"; \
	done; \
	/bin/sh $(PROJDIR)/bin/catalog.sh \
		pgrm $(PROJDIR)/src/bin c > /dev/null 2>&1
