/***********************************************************************
      LIBRARY: IOUTIL - INPUT/OUTPUT Utilities

      FILE:    FINDFILE.C
      AUTHOR:  Michael Garris
      DATE:    11/27/1989

      Contains routines responsible for locating a file within a
      specified directory path.

      ROUTINES:
#cat: find_file - takes a directory path and a filename and determines if
#cat:             the file exists.

***********************************************************************/

#include <stdio.h>
#include <strings.h>
#include <sys/param.h>
#include <dirent.h>

#define TRUE 1
#define FALSE 0

/**********************************************************************/
find_file(path,file)
char *path, *file;
{
    int flag,len;
    DIR *dirp,*opendir();
    struct dirent *dp,*readdir();

    flag = 0;
    if(strcmp(path,"") != 0){
        len = strlen(file);
        dirp = opendir(path);
        for(dp = readdir(dirp); dp != NULL; dp = readdir(dirp)){
#ifdef __STDC__
           if((strlen(dp->d_name) == len) && !strcmp(dp->d_name,file)){
#else
           if(dp->d_namlen == len && !strcmp(dp->d_name,file)){
#endif
              flag = 1;
           }
        }
        closedir(dirp);
    }
    
    if (flag == 1) 
        return(TRUE);
    else
        return(FALSE);
}
