/***********************************************************************
      LIBRARY: UTIL - General Purpose Utility Routines

      FILE:    TIME.C
      AUTHOR:  Michael Garris
      DATE:    06/04/1990

      Contains routines responsible for determining and formating
      the current time and date.

      ROUTINES:
#cat: current_time - returns a string containing the current date on the
#cat:                system.

***********************************************************************/
#include <stdio.h>
#include <time.h>

/************************************************************/
/* Current_Time() gets the time of day from the system and  */
/* returns an ASCII date string without a newline char.     */
/************************************************************/
char *current_time()
{
   long tm;
   char *dptr;

   tm = time((long *)NULL);
   dptr = (char *)ctime(&tm);
   *(dptr + strlen(dptr) - 1) = '\0';
   return(dptr);
}
